Class | CharDet::EUCKRProber
In: | lib/tmail/vendor/rchardet-1.3/lib/rchardet/euckrprober.rb
Parent: | MultiByteCharSetProber

### Methods

get_charset_name new

### Public Class methods

new()

[Source]

    # File lib/tmail/vendor/rchardet-1.3/lib/rchardet/euckrprober.rb, line 31
        def initialize
          super()
          @_mCodingSM = CodingStateMachine.new(EUCKRSMModel)
          @_mDistributionAnalyzer = EUCKRDistributionAnalysis.new()
          reset()
        end

### Public Instance methods

get_charset_name()

[Source]

    # File lib/tmail/vendor/rchardet-1.3/lib/rchardet/euckrprober.rb, line 38
        def get_charset_name
          return "EUC-KR"
        end

[Validate]